## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005
##
## sdEventManager by Stone-D (Laga Mahesa)
## Copyright Laga Mahesa 2005
##
## Version CultureConquest 1.30


############## EVENT MANAGER GLOBALS ################
from CvPythonExtensions import *
import CvUtil
import PyHelpers
import Popup as PyPopup
import sys
import CvConfigParser

gc = CyGlobalContext()
PyPlayer = PyHelpers.PyPlayer
PyInfo = PyHelpers.PyInfo

import CvEventManager

import EnhancedCultureConquestUtils

enhancedCultureConquestUtils = EnhancedCultureConquestUtils.EnhancedCultureConquestUtils()


# Change the value to enable or disable the features from the Enhanced Culture 
# Conquest mod.
# Default value is true
g_bEnhancedCultureConquestFeaturesEnabled = true

def loadConfigurationData():
	

	global g_bEnhancedCultureConquestFeaturesEnabled 

	config = CvConfigParser.CvConfigParser("Great Options Mod Config.ini")

	if(config != None):

		g_bEnhancedCultureConquestFeaturesEnabled = config.getboolean("Great Options Mod", "Enhanced Culture Conquest Features Enabled", True)


############## EVENTMANAGER SUBCLASS ################
class CvEnhancedCultureConquestEventManager:
	def __init__(self, eventManager):

		eventManager.addEventHandler("cityAcquired", self.onCityAcquired)
		eventManager.addEventHandler("cityBuilt", self.onCityBuilt)
		eventManager.addEventHandler("cityRazed", self.onCityRazed)
		eventManager.addEventHandler("cityLost", self.onCityRazed)
		eventManager.addEventHandler("windowActivation", self.onWindowActivation)

		loadConfigurationData()
		EnhancedCultureConquestUtils.loadConfigurationData()
					
					
	def onWindowActivation(self, argsList):
		'Called when the game window activates or deactivates'

		loadConfigurationData()
		EnhancedCultureConquestUtils.loadConfigurationData()


	def onCityAcquired(self, argsList):

		if(g_bEnhancedCultureConquestFeaturesEnabled):
			enhancedCultureConquestUtils.handleCityConquered(argsList)


	def onCityBuilt(self, argsList):
	
		if(g_bEnhancedCultureConquestFeaturesEnabled):
			enhancedCultureConquestUtils.handleCityBuilt(argsList[0])


	def onCityRazed(self, argsList):

		if(g_bEnhancedCultureConquestFeaturesEnabled):
			enhancedCultureConquestUtils.handleCityRazed(argsList[0])
