## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005

from CvPythonExtensions import *
import CvUtil
import CvEventManager
import sys
import EnhancedTechConquest
import CvConfigParser

gc = CyGlobalContext()

enhancedTechConquest = EnhancedTechConquest.EnhancedTechConquest()

# Change the value to enable or disable the features from the Enhanced Tech 
# Conquest mod.
# Default value is true
g_bEnhancedTechConquestFeaturesEnabled = true

def loadConfigurationData():

	global g_bEnhancedTechConquestFeaturesEnabled 

	config = CvConfigParser.CvConfigParser("Great Options Mod Config.ini")

	if(config != None):

		g_bEnhancedTechConquestFeaturesEnabled = config.getboolean("Great Options Mod", "Enhanced Tech Conquest Features Enabled", True)


# globals
###################################################
class CvEnhancedTechConquestEventManager:
	def __init__(self, eventManager):
		eventManager.addEventHandler("cityAcquired", self.onCityAcquired)
		eventManager.addEventHandler("windowActivation", self.onWindowActivation)
	
		EnhancedTechConquest.loadConfigurationData()
		loadConfigurationData()
		
	def onCityAcquired(self, argsList):
		if(g_bEnhancedTechConquestFeaturesEnabled):
			enhancedTechConquest.onCityAcquired(argsList)
		
		
	def onWindowActivation(self, argsList):
		'Called when the game window activates or deactivates'
		bActive = argsList[0]
		
		if(bActive):
			EnhancedTechConquest.loadConfigurationData()
			loadConfigurationData()